This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 882500 - garbled display after resume from suspend/hibernate with latest kernel
garbled display after resume from suspend/hibernate with latest kernel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-01 09:23 EST by Olivier
Modified: 2013-07-31 17:57 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 17:57:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot (4.31 MB, image/png)
2012-12-01 09:32 EST, Olivier
no flags Details
same screenshot - smaller file size (286.98 KB, image/jpeg)
2012-12-01 09:38 EST, Olivier
no flags Details

  None (edit)
Description Olivier 2012-12-01 09:23:28 EST
When I boot with the latest kernel 3.6.7-4.fc17.x86_64, after resuming from suspend or hibernate, the display is garbled. 

I can see the edges of some windows, menu bars and icons. The rest of the screen is filled with coloured pixels. 

Mouse and keyboard still work. When I logout (have to guess where icons are), display goes back to normal.

I do not have this problem with an older kernel: 3.3.4-5.fc17.x86_64

It is always reproducible.

I would appreciate if you could look into this. Let me know what additional information you need.

Thanks.
Comment 1 Olivier 2012-12-01 09:32:03 EST
Created attachment 655561 [details]
screenshot
Comment 2 Olivier 2012-12-01 09:38:09 EST
Created attachment 655598 [details]
same screenshot - smaller file size
Comment 3 Olivier 2012-12-06 08:19:19 EST
bug remains with kernel 3.6.9-2.fc17.x86_64
Comment 4 Olivier 2012-12-21 04:22:31 EST
I sort of resolved this when installing the nvidia module.
Comment 5 Tomas Mraz 2013-01-09 07:10:30 EST
I also see this regression on Fedora 16 with nouveau driver after kernel upgrade from 3.4.x to 3.6.11.
Comment 6 Fedora End Of Life 2013-07-03 17:08:04 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 17:57:34 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.